---
title: Forgot Password
description: Generate a password reset link for a prepaid card portal user via mobile number and date of birth.
---

To manage the card of a customer, prepaid card portal access will be provided which requires login credentials. This API is used for forgot password to get the link for reset password of the login credentials. We must pass mobile no and dob in request. If the request has valid details, the url link for reset password will be sent to the mobile no.

#### POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | text<br>(`1-10`) | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | text | Will be provided by airpay(constant, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| mobile_no  required | numeric  <br>(1-10) | Mobile number of customer | `9XXXXXX978` |
| dob  required | date  <br>(1-10) | DOB of customer-DOB format YYYY-MM-DD | `1958-01-02` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | numeric | airpay status | `200,400` |
| message  required | text | airpay status message | `Success,Fail` |
| data  required | json | {"url":"https://test_ppc.arpy.co.in/user/resetpass"}(required) |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX978' \
--data-urlencode 'dob=1958-01-02'
```

### Success Response

```json
{
    "status": 200,
    "message": "success",
    "data": {
        "url": "https://testcards.arpy.co.in/user/resetpass/AIRPAYCUST1234567899630123615896989XOAFDWXZU5"
    }
}
```

### Error Response

```json
{
    "status": 400,
    "message": "fail"
}
```